package com.ssj.service.reading.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/** 
 * @author  ZhangCaibao 
 * @version 2018年8月15日 下午4:36:31 
 * 类说明 
 */
public class ThemeSearchReq  extends BaseRequest{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name="libId",value="图书馆编号",required=true)
	private String libId;
	
	@ApiModelProperty(name="childTheme",value="主题code",required=true)
	private String childTheme;

	@ApiModelProperty(name="content",value="搜索内容",required=false)
	private String content;

	@ApiModelProperty(name="pageSize",value="一页10条",required=true)
	private int pageSize =10;
	@ApiModelProperty(name="pageNo",value="第几页",required=true)
	private int pageNo =1;
	
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public String getChildTheme() {
		return childTheme;
	}
	public void setChildTheme(String childTheme) {
		this.childTheme = childTheme;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}
}
